#
# spec file for package picocom
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           picocom
#BuildRequires:
License:        GPLv2
Group:          Hardware/Modem
#Requires:
AutoReqProv:    on
Version:        1.7
Release:        1
Summary:        Minimal dumb-terminal emulation program
# Url:            http://npat.efault.net/home/hacks/picocom
Url:            https://code.google.com/p/picocom/
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
As its name suggests, [picocom] is a minimal dumb-terminal emulation
program. It is, in principle, very much like minicom, only it's "pico"
instead of "mini"! It was designed to serve as a simple, manual, modem
configuration, testing, and debugging tool. It has also served (quite
well) as a low-tech "terminal-window" to allow operator intervention
in PPP connection scripts (something like the ms-windows "open
terminal window before / after dialing" feature). It could also prove
useful in many other similar tasks.

Authors:
--------
    Nick Patavalis <nick.patavalis@gmail.com>

%prep
%setup

%build
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
install -m 755 picocom $RPM_BUILD_ROOT%{_bindir}/
install -m 644 picocom.8 $RPM_BUILD_ROOT%{_mandir}/man8/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES CONTRIBUTORS LICENSE.txt README
%{_bindir}/picocom
%{_mandir}/man8/*

%changelog
* Thu Jan 17 2013 - Volker Kuhlmann
- Updated to 1.7.
* Mon Apr 11 2011 mseben@gmail.com
- updated to picocom 1.6
  * Added features:
  - Local echo
  - Configurable input mapping (CR --> LF, DEL --> BS, etc)
  - Configurable output mapping
  - Configurable local-echo mapping
  * Fixed URL in man page
  * Fixed misconception that prevented the correct setting
    of the odd-parity mode
  * Allow non-alpha escape keys (e.g. C-])
  * Enabled support for higher baudrates up to 921600. Support is
    compiled-in conditionally on the HIGH_BAUD macro.
  * Silenced compiler warning
  * Changed default send_cmd to "sz -vv"
* Fri Mar 28 2008 mseben@suse.cz
- Initial package
